import { get, post} from '../common/http';
import base from '../common/base';
const user = {
  //退出接口
  logout(data) {
    return post( base.prefix+ `/api/v1/student/logout`, data)
  },
  //当学登录学生的用户信息
  getUserInfoByToken()
  {
    // TODO: 王国西 暂时修改接口地址
    return get(base.prefix + '/api/v1/student_user/find_user_info')
  },
  //修改密码
  changeMinePassword(data) {
    return post(base.prefix + '/api/v1/student/modifyPwd', data)
  },
  // 邮箱密码登录
  loginEmailPass(data) {
    return post(base.prefix + '/api/v1/student/login', data)
  },

  //学生端登录  包含微信登录
  studentLogin(data) {
    
      return post(base.prefix + '/api/v1/student/login', data)
    
  },
  // 个人中心-绑定手机号获取验证码
  getBindPhoneValidCode (data) {
    return post(base.prefix + '/api/v1/student_user/bind_phone_obtain_code', data)
  },

  //绑定手机号
  bindPhoneNumber(data)
  {
    return post(base.prefix + '/api/v1/student_user/bind_phone', data)
  },

  // 获取微信登录二维码
  getWechatCode() {

    // if(base.VUE_APP_BASE){
    console.log("打印prefix1",base.prefix1)
      return get(base.prefix1 + '/teaching/api/v1/wechat/qrAuthorize')
    // }else{
    //   return get('/teachingApi/v1/wechat/qrAuthorize')
    // }
  },

  // 个人中心-绑定微信
  bindWechat (data) {
    return get(base.prefix + '/api/v1/student_user/bind_wechat', data)
  },
  // 个人中心-解绑微信
  unBindWechat (data) {
    return get(base.prefix + '/api/v1/student_user/un_bind_wechat', data)
  },

  // 个人中心-绑定手机号获取滑块验证
  getBindPhoneSlider (data) {
    return post(base.prefix + '/api/v1/student_user/obtain_slider_from_center', data)
  },

  //重新获取滑块验证码图片数据
  obtainSliderImg(data)
  {
    return post(base.prefix + '/api/v1/student_user/re_obtain_slider',data)
  },


  //登录验证滑动验证码位置是否正确
  checkSlideCaptcha(data)
  {
    return post(base.prefix + '/api/v1/student_user/validate_slider', data)
  },


}

export default user